Quantum algorithm for the advection-diffusion equation and the Koopman-von Neumann approach to nonlinear dynamical systems
Not Available
SEARCH · Search NASA
Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.
Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.
Not Available
The main goal of molecular simulation is to accurately predict experimental observables of molecular systems. Another long-standing goal is to devise models for arbitrary neutral organic molecules with little or no reliance on experimental data. While separately these goals have been met to various degrees, for an arbitrary system of molecules they have not been achieved simultaneously. For biophysical ensembles that exist at room temperature and pressure, and where the entropic contributions are on par with interaction strengths, it is the free energies that are both most important and most difficult to predict. We compute the free energies of solvation for a diverse set of neutral organic compounds using a polarizable force field fitted entirely to ab initio calculations. The mean absolute errors (MAE) of hydration, cyclohexane solvation, and corresponding partition coefficients are 0.2 kcal/mol, 0.3 kcal/mol and 0.22 log units, i.e. within chemical accuracy. The model (ARROW FF) is multipolar, polarizable, and its accompanying simulation stack includes nuclear quantum effects (NQE). The simulation tools’ computational efficiency is on a par with current state-of-the-art packages. The construction of a wide-coverage molecular modelling toolset from first principles, together with its excellent predictive ability in the liquid phase is a major advance in biomolecular simulation.
Here, we advocate for a fundamentally different way to perform quantum computation by using three-level qutrits instead of qubits. In particular, we substantially reduce the resource requirements of quantum computations by exploiting a third state for temporary variables (ancilla) in quantum circuits. Past work with qutrits has demonstrated only constant factor improvements, owing to the log 2 (3) binary-to-ternary compression factor. We present a novel technique using qutrits to achieve a logarithmic runtime decomposition of the Generalized Toffoli gate using no ancilla - an exponential improvement over the best qubit-only equivalent. Our approach features a 70× improvement in total two-qudit gate count over the qubit-only decomposition. This results in improvements for important algorithms for arithmetic and QRAM. Simulation results under realistic noise models indicate over 90% mean reliability (fidelity) for our circuit, versus under 30% for the qubit-only baseline. These results suggest that qutrits offer a promising path toward extending the frontier of quantum computers.
Modeling light–matter interactions at the nanoscale requires accurate handling of coupled quantum and electromagnetic systems. This coupling requires information about the electric scalar potential Φ and the magnetic vector potential A, which are not typically calculated in standard computational electromagnetics implementations. To that end, we have developed a field–potential finite-difference time-domain (FiPo FDTD) algorithm, which solves a set of first-order equations for Φ and A alongside equations for the electric and magnetic fields E and H. The FiPo Basic code is essentially conventional FDTD, but with an added module that calculates the potentials. The FiPo Hybrid code self-consistently calculates both fields and potentials and is particularly suitable for coupling with quantum electronic transport solvers because it can be sourced by the potentials themselves. To terminate the domain and mimic infinite space, we have derived and implemented a convolutional perfectly matched layer (CPML) absorbing boundary condition for FiPo FDTD whose performance is on par with state-of-the-art CPMLs for standard FDTD. We present FiPo simulation results on several example systems.
We compare several established approaches for propagating wave functions and calculating hopping probabilities within the fewest switches surface hopping (FSSH) algorithm for difficult cases with many electronic states and many trivial crossings. If only a single time step (Δt c ) is employed, we find that no published approach can accurately capture the dynamics correctly unless Δt c → 0 (which is not computationally feasible). If multiple time steps are employed, for a fixed classical time step (Δt c ), a robust scheme can be found for dynamically choosing quantum time steps (δt q1 and δt q2 ) and calculating hopping probabilities so that one can systematically reduce all errors and achieve maximally efficient accuracy; scattering calculations confirm that one can choose a fairly large classical time step. Furthermore, the robust scheme presented here uses both the “local diabatic” and adiabatic interpolation and thus borrows elements from both the Granucci/Persico and Meek/Levine algorithms. Our findings should be broadly applicable in the future.
Here, in this study, we present a technique for using machine learning (ML) for single-qubit gate synthesis on field-programmable logic for a superconducting transmon-based quantum computer based on simulated studies. Our approach is multi-stage. We first “bootstrap” a model based on simulation with access to the full state vector for measuring gate fidelity. We next present an algorithm, named adapted randomized benchmarking (ARB), for fine-tuning the gate on hardware based on measurements of the devices. We also present techniques for deploying the model on programmable devices with care to reduce the required resources. While the techniques here are applied to a transmon-based computer, many of them are portable to other architectures.
Response functions of quantum systems, such as electron Green’s functions, magnetic, or charge susceptibilities, describe the response of a system to an external perturbation. They are the central objects of interest in field theories and quantum computing and measured directly in experiment. Further, response functions are intrinsically causal. In equilibrium and steady-state systems, they correspond to a positive spectral function in the frequency domain. Since response functions define an inner product on a Hilbert space and thereby induce a positive definite function, the properties of this function can be used to reduce noise in measured data and, in equilibrium and steady state, to construct positive definite extensions for data known on finite time intervals, which are then guaranteed to correspond to positive spectra.
Estimating a quantum phase is a necessary task in a wide range of fields of quantum science. To accomplish this task, two well-known methods have been developed in distinct contexts, namely, Ramsey interferometry (RI) in atomic and molecular physics and quantum phase estimation (QPE) in quantum computing. We demonstrate that these canonical examples are instances of a larger class of phase estimation protocols, which we call reductive quantum phase estimation (RQPE) circuits. Here, we present an explicit algorithm that allows one to create an RQPE circuit. This circuit distinguishes an arbitrary set of phases with a smaller number of qubits and unitary applications, thereby solving a general class of quantum hypothesis testing to which RI and QPE belong. We further demonstrate a tradeoff between measurement precision and phase distinguishability, which allows one to tune the circuit to be optimal for a specific application. Published by the American Physical Society 2024
We present a hardware-reconfigurable ansatz on N q -qubits for the variational preparation of many-body states of the Anderson impurity model (AIM) with N imp + N bath = N q /2 sites, which conserves total charge and spin z component within each variational search subspace. The many-body ground state of the AIM is determined as the minimum over all minima of O(N$^2_ q$) distinct charge-spin sectors. Hamiltonian expectation values are shown to require ω(N q ) < N meas. $\leqslant$ O(N imp N bath ) symmetry-preserving, parallelizable measurement circuits, each amenable to postselection. To obtain the one-particle impurity Green’s function we show how initial Krylov vectors can be computed via midcircuit measurement and how Lanczos iterations can be computed using the symmetry-preserving ansatz. For a single-impurity Anderson model with a number of bath sites increasing from one to seven, we show using numerical emulation that the ease of variational ground-state preparation is suggestive of linear scaling in circuit depth and subquartic scaling in optimizer complexity. We therefore expect that, combined with time-dependent methods for Green’s function computation, our ansatz provides a useful tool to account for electronic correlations on early fault-tolerant processors. Finally, with a view towards computing real materials properties of interest like magnetic susceptibilities and electron-hole propagators, we provide a straightforward method to compute many-body, time-dependent correlation functions using a combination of time evolution, midcircuit measurement-conditioned operations, and the Hadamard test.
Quantum games, like quantum algorithms, exploit quantum entanglement to establish strong correlations between strategic player actions. This paper introduces quantum game-theoretic models applied to trading and demonstrates their implementation on an ion-trap quantum computer. The results showcase a quantum advantage, previously known only theoretically, realized as higher-paying market Nash equilibria. This advantage could help uncover alpha in trading strategies, defined as excess returns compared to established benchmarks. These findings suggest that quantum computing could significantly influence the development of financial strategies.
Simulations of quantum chemistry and quantum materials are believed to be among the most important applications of quantum information processors. However, realizing practical quantum advantage for such problems is challenging because of the prohibitive computational cost of programming typical problems into quantum hardware. Here we introduce a simulation framework for strongly correlated quantum systems represented by model spin Hamiltonians that uses reconfigurable qubit architectures to simulate real-time dynamics in a programmable way. Our approach also introduces an algorithm for extracting chemically relevant spectral properties via classical co-processing of quantum measurement results. We develop a digital–analogue simulation toolbox for efficient Hamiltonian time evolution using digital Floquet engineering and hardware-optimized multi-qubit operations to accurately realize complex spin–spin interactions. As an example, we propose an implementation based on Rydberg atom arrays. In addition, we show how detailed spectral information can be extracted from the dynamics through snapshot measurements and single-ancilla control, enabling the evaluation of excitation energies and finite-temperature susceptibilities from a single dataset. To illustrate the approach, we show how to use the method to compute key properties of a polynuclear transition-metal catalyst and two-dimensional magnetic materials.
Coupled Lindblad pseudomode theory is a promising approach for simulating non-Markovian quantum dynamics on both classical and quantum platforms, with dynamics that can be realized as a quantum channel. We provide theoretical evidence that the number of coupled pseudomodes only needs to scale as polylog(𝑇/𝜖) in the simulation time 𝑇 and precision 𝜖. Inspired by the realization problem in control theory, we also develop a robust numerical algorithm for constructing the coupled modes that avoid the nonconvex optimization required by existing approaches. We demonstrate the effectiveness of our method by computing population dynamics and absorption spectra for the spin-boson model. Furthermore, this Letter provides a significant theoretical and computational improvement to the coupled Lindblad framework, which impacts a broad range of applications from classical simulations of quantum impurity problems to quantum simulations on near-term quantum platforms.
Quantum computers can efficiently simulate the dynamics of quantum systems. Here, we study the cost of digitally simulating the dynamics of several physically relevant systems using the first-order product-formula algorithm. We show that the errors from different Trotterization steps in the algorithm can interfere destructively, yielding a much smaller error than previously estimated. In particular, we prove that the total error in simulating a nearest-neighbor interacting system of n sites for time t using the first-order product formula with r time slices is O ( n t / r + n t 3 / r 2 ) when n t 2 / r is less than a small constant. Given an error tolerance ϵ , the error bound yields an estimate of max { O ( n 2 t / ϵ ) , O ( n 2 t 3 / 2 / ϵ 1 / 2 ) } for the total gate count of the simulation. The estimate is tighter than previous bounds and matches the empirical performance observed in Childs et al. [ Proc. Natl. Acad. Sci. U.S.A. 115 , 9456 (2018) ]. We also provide numerical evidence for potential improvements and conjecture an even tighter estimate for the gate count.
Topological protection is employed in fault-tolerant error correction and in developing quantum algorithms with topological qubits. But, topological protection intrinsic to models being simulated , also robustly protects calculations, even on NISQ hardware. We leverage it by simulating Kitaev-inspired models on IBM quantum computers and accurately determining their phase diagrams. This requires constructing conventional quantum circuits for Majorana braiding to prepare the ground states of Kitaev-inspired models. The entanglement entropy is then measured to calculate the quantum phase boundaries. We show how maintaining particle-hole symmetry when sampling through the Brillouin zone is critical to obtaining high accuracy. This work illustrates how topological protection intrinsic to a quantum model can be employed to perform robust calculations on NISQ hardware, when one measures the appropriate protected quantum properties. It opens the door for further simulation of topological quantum models on quantum hardware available today.
Among the well-known methods to approximate derivatives of expectancies computed by Monte-Carlo simulations, averages of pathwise derivatives are often the easiest one to apply. Computing them via algorithmic differentiation typically does not require major manual analysis and rewriting of the code, even for very complex programs like simulations of particle-detector interactions in high-energy physics. However, the pathwise derivative estimator can be biased if there are discontinuities in the program, which may diminish its value for applications. This work integrates algorithmic differentiation into the electromagnetic shower simulation code HepEmShow based on G4HepEm, allowing us to study how well pathwise derivatives approximate derivatives of energy depositions in a sampling calorimeter with respect to parameters of the beam and geometry. We found that when multiple scattering is disabled in the simulation, means of pathwise derivatives converge quickly to their expected values, and these are close to the actual derivatives of the energy deposition. Additionally, we demonstrate the applicability of this novel gradient estimator for stochastic gradient-based optimization in a model example.
Solving for charged particle motion in electromagnetic fields (i.e. the particle pushing problem) is a computationally intensive component of particle-in-cell (PIC) methods for plasma physics simulations. This task is especially challenging when the plasma is strongly magnetized due numerical stiffness arising from the wide range of time scales between highly oscillatory gyromotion and long term macroscopic behavior. A promising approach to solve these problems is by a class of methods known as exponential integrators that can solve linear problems exactly and are A-stable. This work extends the standard exponential integration framework to derive Nyström-type exponential integrators that integrates the Newtonian equations of motion as a second-order differential equation directly. In particular, we derive second-order and third-order Nyström-type exponential integrators for strongly magnetized particle pushing problems. Numerical experiments show that the Nyström-type exponential integrators exhibit significant improvement in computation speed over the standard exponential integrators.
Atomic nuclei are important laboratories for exploring and testing new insights into the universe, such as experiments to directly detect dark matter or explore properties of neutrinos. The targets of interest are often heavy, complex nuclei that challenge our ability to reliably model them (as well as quantify the uncertainty of those models) with classical computers. Hence there is great interest in applying quantum computation to nuclear structure for these applications. As an early step in this direction, especially with regards to the uncertainties in the relevant quantum calculations, we develop circuits to implement variational quantum eigensolver (VQE) algorithms for the Lipkin-Meshkov-Glick model, which is often used in the nuclear physics community as a testbed for many-body methods. Here, we present quantum circuits for VQE for two and three particles and discuss the construction of circuits for more particles. Implementing the VQE for a two-particle system on the IBM Quantum Experience, we identify initialization and two-qubit gates as the largest sources of error. We find that error mitigation procedures reduce the errors in the results significantly, but additional quantum hardware improvements are needed for quantum calculations to be sufficiently accurate to be competitive with the best current classical methods.
We present an open-source software package, VAN-DAMME (Versatile Approaches to Numerically Design, Accelerate, and Manipulate Magnetic Excitations), for massively-parallelized quantum optimal control (QOC) calculations of multi-qubit systems. To enable large QOC calculations, the VAN-DAMME software package utilizes symmetry-based techniques with custom GPU-enhanced algorithms. This combined approach allows for the simultaneous computation of hundreds of matrix exponential propagators that efficiently leverage the intra-GPU parallelism found in high-performance GPUs. In addition, to maximize the computational efficiency of the VAN-DAMME code, we carried out several extensive tests on data layout, computational complexity, memory requirements, and performance. These extensive analyses allowed us to develop computationally efficient approaches for evaluating complex-valued matrix exponential propagators based on Padé approximants. To assess the computational performance of our GPU-accelerated VAN-DAMME code, we carried out QOC calculations of systems containing 10 - 15 qubits, which showed that our GPU implementation is 18.4× faster than the corresponding CPU implementation. Our GPU-accelerated enhancements allow efficient calculations of multi-qubit systems, which can be used for the efficient implementation of QOC applications across multiple domains.